#include <bits/stdc++.h>
using namespace std;
int n,m,brojtacaka=0;
char mat[105][105];
int main (){
    scanf("%d %d",&n,&m);
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= m; j++){
            cin>>mat[i][j];
            if(mat[i][j]=='.'){
                brojtacaka++;
            }
        }
    }
    if(brojtacaka==n*m){
        for(int i = 1; i <= n; i++){
            for(int j = 1; j <= m; j++){
                if(i==j){
                    printf("%c",'C');
                }else{
                    printf("%c",'.');
                }
            }
            printf("\n");
        }
    }
return 0;
}